> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# Recommend Followings

> Recommend followings for the current user

## 说明

**URL**: `/v1/followings/recommend`
**方法**: `GET`\
**描述**: 推荐关注，根据指定的关注类型返回推荐的关注对象列表，并标记当前用户是否已关注。

### 请求参数

| 参数名          | 类型  | 必填 | 描述                         |
| ------------ | --- | -- | -------------------------- |
| follow\_type | int | 是  | 关注类型：`1` 公司，`2` 话题，`3` 渠道。 |

### 响应参数

| 参数名             | 类型    | 描述               |
| --------------- | ----- | ---------------- |
| items           | array | 推荐关注列表。          |
|   follow\_value | str   | 关注对象的取值（如股票代码等）。 |
|   name          | str   | 名称。              |
|   logo          | str   | 图标 URL。          |
|   is\_following | bool  | 当前用户是否已关注。       |
|   group\_key    | str   | 推荐分组标识。          |
|   description   | str   | 描述信息。            |

### 请求示例

**cURL**

```bash theme={null}
curl -X GET "https://api.reportify.cn/v1/followings/recommend?follow_type=1" \
-H "Authorization: Bearer YOUR_API_KEY"
```

**Python**

```python theme={null}
import requests

url = "https://api.reportify.cn/v1/followings/recommend"
headers = {
    "Authorization": "Bearer YOUR_API_KEY"
}

params = {
    "follow_type": 1
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### 响应示例

```json theme={null}
{
  "items": [
    {
      "follow_value": "00700",
      "name": "腾讯控股",
      "logo": "https://static.reportify.cn/logo/00700.png",
      "is_following": false,
      "group_key": "热门港股",
      "description": "互联网增值服务龙头"
    },
    {
      "follow_value": "AAPL",
      "name": "苹果",
      "logo": "https://static.reportify.cn/logo/AAPL.png",
      "is_following": true,
      "group_key": "热门美股",
      "description": "全球消费电子领导者"
    }
  ]
}
```

### 错误响应

| 状态码 | 描述        |
| --- | --------- |
| 422 | 请求参数验证失败。 |


## OpenAPI

````yaml GET /v1/followings/recommend
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/followings/recommend:
    get:
      tags:
        - openapi-followings
      summary: Recommend Followings
      description: Recommend followings for the current user
      operationId: recommend_followings_reportify_api_v1_followings_recommend_get
      parameters:
        - description: 1 company, 2 topic, 3 channel
          required: true
          schema:
            type: integer
            title: Follow Type
            description: 1 company, 2 topic, 3 channel
          name: follow_type
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAIFollowingRecommendResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OAIFollowingRecommendResponse:
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/OAIFollowingRecommendItem'
          title: Items
      type: object
      title: OAIFollowingRecommendResponse
      description: List of recommended followings
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OAIFollowingRecommendItem:
      properties:
        follow_value:
          type: string
          title: Follow Value
        name:
          type: string
          title: Name
        logo:
          type: string
          title: Logo
        is_following:
          type: boolean
          title: Is Following
        group_key:
          type: string
          title: Group Key
        description:
          type: string
          title: Description
      type: object
      required:
        - name
        - is_following
      title: OAIFollowingRecommendItem
      description: A recommended following item
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````